Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class ReplacementNode

    java.lang.Object
      groovy.util.slurpersupport.ReplacementNode

All Implemented Interfaces:
  Buildable, Writable

    public abstract class ReplacementNode
    extends Object
    implements Buildable, Writable

Helper base class used for lazy updates.

Author:
  John Wilson

Constructor Summary
Constructor and Description
`ReplacementNode()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`void` | `build(GroovyObject builder)`
`abstract void` | `build(GroovyObject builder, Map namespaceMap, Map<String,String> namespaceTagHints)`
`Writer` | `writeTo(Writer out)` Writes this object to the given writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplacementNode

    public ReplacementNode()

Method Detail

### build

    public abstract void build(GroovyObject builder,
                               Map namespaceMap,
                               Map<String,String> namespaceTagHints)

### build

    public void build(GroovyObject builder)

  Specified by:
    `build` in interface `Buildable`

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`

  Writes this object to the given writer.

  This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

  Specified by:
    `writeTo` in interface `Writable`
  Parameters:
    `out` - the Writer to which this Writable should output its data.
  Returns:
    the Writer that was passed
  Throws:
    `IOException` - if an error occurred while outputting data to the writer

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD